Page MenuHomePhabricator

Wrong display of certain English Wikipedia portal pages in mobile
Closed, InvalidPublic

Description

Description

Per report on IRC from lbertolotti, Certain portal pages present text/alignment problems.

Examples:
Portal:Communism
Portal:Socialism (see the 'selected biography' box)
Portal:Business_and_economics

Related Objects

StatusAssignedTask
InvalidNone
ResolvedTgr
ResolvedAnomie
Resolvedtstarling
Resolvedcoren
ResolvedAnomie
StalledMhurd
ResolvedAnomie
ResolvedEsanders
ResolvedEsanders
Resolvedssastry
ResolvedAnomie
ResolvedCKoerner_WMF
Resolvedjhsoby
ResolvedTgr
DeclinedTgr
Resolvedcoren
ResolvedAnomie
ResolvedTgr
OpenNone
OpenNone
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedDeskana
ResolvedCKoerner_WMF
ResolvedWhatamidoing-WMF
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedUrbanecm
ResolvedTgr
ResolvedTacsipacsi
ResolvedTgr
ResolvedCKoerner_WMF

Event Timeline

Mholloway created this task.Dec 3 2015, 5:11 PM
Mholloway updated the task description. (Show Details)
Mholloway raised the priority of this task from to Needs Triage.
Mholloway added a subscriber: Mholloway.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 3 2015, 5:11 PM
Mholloway updated the task description. (Show Details)Dec 3 2015, 5:12 PM
Mholloway set Security to None.
This comment was removed by Lbertolotti.

Is anyone looking on how to solve this?

Dbrant added a subscriber: Dbrant.Dec 16 2015, 7:14 PM

@Lbertolotti Not yet.

This doesn't appear to be an issue with the app, since these portal pages have the same text alignment issue when viewed in mobile web.

If you are referring to the archive and read more links, this is actually an issue with the templates which rely heavily on table layouting. A change in MobileFrontend would break a far greater amount of tables so this is better fixed on the template level by clicking edit.

https://en.wikipedia.org/w/index.php?title=Portal:Communism/Selected%20article/Layout&action=edit

if someone wants to suggest a template edit I can apply the changes as I have template editing rights.

Unfortunately it's not clear who owns this problem due to T101362 but it's not an issue in Android or MobileFrontend

The portal pages are now displaying better on my cellphone. Maybe this issue can be solved now...

Lbertolotti added a comment.EditedSep 15 2016, 1:05 PM

I fixed manually most of the visualization problems, but in some cases the problem is related to the template being used, the selected article template for example.

Nemo_bis renamed this task from Bug: Text/Alignment issues in certain portal pages to Bug: Text/Alignment issues in certain English Wikipedia portal pages.Sep 15 2016, 2:38 PM
Nemo_bis added a subscriber: Nemo_bis.

Why is this thing on Phabricator?

Lbertolotti added a comment.EditedSep 15 2016, 2:57 PM

Why is this thing on Phabricator?

Because not all styles work correctly with the wikipedia app/mobile view.

Lbertolotti added a comment.EditedNov 1 2016, 11:48 AM

I'm adding another example of this problem, the Selected picture template:
https://en.wikipedia.org/wiki/Template:Selected_picture
Try viewing this template on the wikipedia app and you will see that it has alignment problems. On a portal page it looks like:
https://en.wikipedia.org/wiki/Portal:Engineering/Featured_picture

Lbertolotti added a comment.EditedNov 1 2016, 2:38 PM

One thing I noticed regarding this issue is that:
https://en.wikipedia.org/wiki/Template:Selected_picture
viewed from mobile is different from the view in cellphone.
Cellphone view:


Mobile view:

Zppix added a subscriber: Zppix.Nov 1 2016, 2:40 PM

I can confirm that the orange juice image the same on IOS as this task explains

Lbertolotti added a comment.EditedNov 1 2016, 2:56 PM

This a report image requested by TheDJ (Derk-Jan Hartman):


Task T149699 is related to this problem.

Kaartic added a subscriber: Kaartic.EditedNov 1 2016, 5:07 PM

One thing I noticed regarding this issue is that:
https://en.wikipedia.org/wiki/Template:Selected_picture
viewed from mobile is different from the view in cellphone.

What actually do you mean by mobile? Do you mean the mobile view in the browser ? I don't get the difference between mobile and cellphone.

Lbertolotti added a comment.EditedNov 5 2016, 2:20 PM
What **actually** do you mean by **mobile**? Do you mean the mobile view in the browser ? I don't get the difference between **mobile** and **cellphone**.

When I said mobile I meant the mobile view feature of the browser. I think this problem would benefit from a more structured approach. There are many ways of writing code in wikipedia, for example, this template is very different from anything I have seen before:
https://en.wikipedia.org/wiki/Portal:Mathematics/Feature_article

Lbertolotti added a comment.EditedNov 15 2016, 8:27 PM

Another bug from Android, Category pages are not visualizing:
https://en.wikipedia.org/wiki/Category:Engineering_disciplines


T153980

bearND added a subscriber: bearND.Nov 15 2016, 11:05 PM

I guess it's similar to T148118

ssastry added a subscriber: ssastry.

I think this last one merits a separate bug report rather than getting lost in all the other unrelated issues that seem to have been solved. Created T151223 and will remove Parsoid tag from this task.

Nemo_bis renamed this task from Bug: Text/Alignment issues in certain English Wikipedia portal pages to Wrong display of certain English Wikipedia portal pages in mobile.Dec 23 2016, 7:57 AM
Nemo_bis triaged this task as Normal priority.

In short, this is a bug report about feature parity between the desktop site and the mobile counterparts. Thanks, this is useful.

When I said mobile I meant the mobile view feature of the browser.

As explained on Mobile, the term "mobile" is usually used to mean the actual usage from mobile devices, which nowadays mostly goes through the mobile site (m.wikipedia.org etc.) and the apps.

To mean the "actual" MediaWiki website, as seen e.g. on en.wikipedia.org, you can specify "desktop site".

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 25 2017, 5:48 PM
Jdlrobson closed this task as Invalid.Nov 8 2018, 5:21 PM

The problem here has not been well defined and this task doesnt seem actionable.

If there is any bug here, TemplateStyles should be used to fix it.